<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {
	die( 'You are not allowed to call this page directly.' );
}
/**
 * widget-form.php - list widget form.
 *
 * @package Sidebar Categories
 * @subpackage includes
 * @author GrandSlambert
 * @copyright 2011-2013
 * @access public
 * @since 0.1
 */
?>

<p>
     <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title (category name if blank):', 'pretty-sidebar-categories' ); ?></label>
     <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $instance['title']; ?>" />
</p>

<p>
     <label for="<?php echo $this->get_field_id( 'style' ); ?>"><?php _e( 'Display template', 'pretty-sidebar-categories' ); ?></label>
     <select id="<?php echo $this->get_field_id( 'style' ); ?>" name="<?php echo $this->get_field_name( 'style' ); ?>">
          <option value="list" <?php selected( $instance['style'], 'list' ); ?> ><?php _e( 'List Format', 'pretty-sidebar-categories' ); ?></option>
		<?php foreach ( $this->get_widget_templates() as $file => $name ) : ?>
			<option value="<?php echo $file; ?>" <?php selected( $instance['style'], $file ); ?> ><?php echo $name; ?></option>
		<?php endforeach; ?>
	</select>
</p>

<p>
	<label for="<?php echo $this->get_field_id( 'taxonomy' ); ?>"><?php _e( 'Taxonomy', 'pretty-sidebar-categories' ); ?></label>
	<input type="hidden" name="current_taxonomy_<?php echo $this->get_field_id( 'selector' ); ?>" id="current_taxonomy_<?php echo $this->get_field_id( 'selector' ); ?>" value="<?php echo $instance['taxonomy']; ?>" />
	<?php
	wp_dropdown_taxonomies( array(
		'selected' => $instance['taxonomy'],
		'name' => $this->get_field_name( 'taxonomy' ),
		'id' => $this->get_field_id( 'taxonomy' ),
		'onchange' => 'sidebar_categories_change_taxonomy(this.value, \'' . $this->get_field_id( 'selector' ) . '\')'
	) );
	?>
</p>

<?php
foreach ( $taxonomies as $taxonomy ) :
	$category_arguments = array(
		'taxonomy' => $taxonomy,
		'show_option_all' => __( 'From all terms', 'pretty-sidebar-categories' ),
		'orderby' => 'name',
		'selected' => (isset( $instance[$taxonomy] )) ? $instance[$taxonomy] : 0,
		'name' => $this->get_field_name( $taxonomy ),
		'id' => $taxonomy . '_' . $this->get_field_id( $taxonomy ),
		'show_count' => true,
		'hierarchical' => is_taxonomy_hierarchical( $taxonomy ),
		'pad_counts' => true,
	);

	if ( $taxonomy != 'nav_menu' and wp_count_terms( $taxonomy, array( 'hide_empty' => true ) ) > 0 ) :
		?>
		<p id="<?php echo $taxonomy; ?>_<?php echo $this->get_field_id( 'selector' ); ?>" style="display: <?php echo ($taxonomy == $instance['taxonomy']) ? 'block' : 'none'; ?>">
			<label for="<?php echo $this->get_field_id( 'cat' ); ?>"><?php echo ucwords( str_replace( '_', ' ', $taxonomy ) ); ?></label>
			<?php wp_dropdown_categories( $category_arguments ); ?>
		</p>
	<?php endif; ?>
<?php endforeach; ?>

<p>
	<label for="<?php echo $this->get_field_id( 'match_single_page' ); ?>"><?php _e( 'On single pages, show only other posts in same categories', 'pretty-sidebar-categories' ); ?></label>
	<input type="checkbox" name="<?php echo $this->get_field_name( 'match_single_page' ); ?>" id="<?php echo $this->get_field_id( 'match_single_page' ); ?>" value="1" <?php checked( $instance['match_single_page'], 1 ); ?> />
</p>
<p>
	<label for="<?php echo $this->get_field_id( 'show_description' ); ?>"><?php _e( 'Show description of category?', 'pretty-sidebar-categories' ); ?></label>
	<input type="checkbox" name="<?php echo $this->get_field_name( 'show_description' ); ?>" id="<?php echo $this->get_field_id( 'show_description' ); ?>" value="1" <?php checked( $instance['show_description'], 1 ); ?> />
</p>
<p>
	<label for="<?php echo $this->get_field_id( 'link_cat' ); ?>"><?php _e( 'Link title to category page?', 'pretty-sidebar-categories' ); ?></label>
	<input type="checkbox" name="<?php echo $this->get_field_name( 'link_cat' ); ?>" id="<?php echo $this->get_field_id( 'link_cat' ); ?>" value="1" <?php checked( $instance['link_cat'], 1 ); ?> />
</p>

<p>
	<label for="<?php echo $this->get_field_id( 'num_posts' ); ?>"><?php _e( 'Posts to display', 'pretty-sidebar-categories' ); ?></label>
	<select id="<?php echo $this->get_field_id( 'num_posts' ); ?>" name="<?php echo $this->get_field_name( 'num_posts' ); ?>">
		<?php for ( $ctr = 1; $ctr <= 20; ++$ctr ) : ?>
			<option value="<?php echo $ctr; ?>" <?php selected( $instance['num_posts'], $ctr ); ?> ><?php echo $ctr; ?></option>
		<?php endfor; ?>
	</select>
</p>
<p>
	<label for="<?php echo $this->get_field_id( 'orderby' ); ?>"><?php _e( 'Sort by', 'pretty-sidebar-categories' ); ?></label>
	<select id="<?php echo $this->get_field_id( 'orderby' ); ?>" name="<?php echo $this->get_field_name( 'orderby' ); ?>">
		<option value="title" <?php selected( $instance['orderby'], 'title' ); ?> ><?php _e( 'Post Title', 'pretty-sidebar-categories' ); ?></option>
		<option value="date" <?php selected( $instance['orderby'], 'date' ); ?> ><?php _e( 'Publish Date', 'pretty-sidebar-categories' ); ?></option>
		<option value="modified" <?php selected( $instance['orderby'], 'modified' ); ?> ><?php _e( 'Last Modified', 'pretty-sidebar-categories' ); ?></option>
		<option value="menu_order" <?php selected( $instance['orderby'], 'menu_order' ); ?> ><?php _e( 'Menu Order', 'pretty-sidebar-categories' ); ?></option>
		<option value="rand" <?php selected( $instance['orderby'], 'rand' ); ?> ><?php _e( 'Random', 'pretty-sidebar-categories' ); ?></option>

	</select>
	<select id="<?php echo $this->get_field_id( 'order' ); ?>" name="<?php echo $this->get_field_name( 'order' ); ?>">
		<option value="asc" <?php selected( $instance['order'], 'asc' ); ?> ><?php _e( 'Ascending', 'pretty-sidebar-categories' ); ?></option>
		<option value="desc" <?php selected( $instance['order'], 'desc' ); ?> ><?php _e( 'Descending', 'pretty-sidebar-categories' ); ?></option>
	</select>
</p>
<p>
	<label for="<?php echo $this->get_field_id( 'hide_current' ); ?>"><?php _e( 'Hide current post on single pages', 'pretty-sidebar-categories' ); ?></label>
	<input type="checkbox" name="<?php echo $this->get_field_name( 'hide_current' ); ?>" id="<?php echo $this->get_field_id( 'hide_current' ); ?>" value="1" <?php checked( $instance['hide_current'], 1 ); ?> />
</p>

<p>
	<label for="<?php echo $this->get_field_id( 'thumbnail_size' ); ?>"><?php _e( 'Thumbnail size', 'pretty-sidebar-categories' ); ?></label>
	<select id="<?php echo $this->get_field_id( 'thumbnail_size' ); ?>" name="<?php echo $this->get_field_name( 'thumbnail_size' ); ?>">
		<option value="none" <?php selected( $instance['thumbnail_size'], 'none' ); ?> ><?php _e( 'No Thumbnail', 'pretty-sidebar-categories' ); ?></option>
		<option value="thumbnail" <?php selected( $instance['thumbnail_size'], 'thumbnail' ); ?> ><?php _e( 'Thumbnail (150x150px)', 'pretty-sidebar-categories' ); ?></option>
		<option value="medium" <?php selected( $instance['thumbnail_size'], 'medium' ); ?> ><?php _e( 'Medium (300x300px)', 'pretty-sidebar-categories' ); ?></option>
		<option value="large" <?php selected( $instance['thumbnail_size'], 'large' ); ?> ><?php _e( 'Large (640x640px)', 'pretty-sidebar-categories' ); ?></option>

		<?php foreach ( $_wp_additional_image_sizes as $name => $size ) : ?>
			<option value="<?php echo $name; ?>" <?php selected( $instance['thumbnail_size'], $name ); ?> ><?php echo $name; ?> (<?php echo $size['width']; ?>x<?php echo $size['height']; ?>px)</option>
		<?php endforeach; ?>
	</select>
</p>

<p>
	<label for="<?php echo $this->get_field_id( 'show_date' ); ?>"><?php _e( 'Show date:', 'pretty-sidebar-categories' ); ?></label>
	<input class="widefat" id="<?php echo $this->get_field_id( 'show_date' ); ?>" name="<?php echo $this->get_field_name( 'show_date' ); ?>" type="checkbox" value="1" <?php checked( $instance['show_date'], 1 ); ?> />
</p>
<p>
	<label for="<?php echo $this->get_field_id( 'show_excerpt' ); ?>"><?php _e( 'Show excerpt:', 'pretty-sidebar-categories' ); ?></label>
	<input onclick="sidebar_cat_show_excerpt(this.checked, '<?php echo $this->get_field_id( 'excerpt_details' ); ?>')" class="widefat" id="<?php echo $this->get_field_id( 'show_excerpt' ); ?>" name="<?php echo $this->get_field_name( 'show_excerpt' ); ?>" type="checkbox" value="1" <?php checked( $instance['show_excerpt'], 1 ); ?> />
</p>

<div id="<?php echo $this->get_field_id( 'excerpt_details' ); ?>" style="display: <?php echo ($instance['show_excerpt']) ? 'bloc' : 'none'; ?>" >
	<p>
		<label for="<?php echo $this->get_field_id( 'excerpt_length' ); ?>"><?php _e( 'Excerpt length (words):', 'pretty-sidebar-categories' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'excerpt_length' ); ?>" name="<?php echo $this->get_field_name( 'excerpt_length' ); ?>" type="text" value="<?php echo $instance['excerpt_length']; ?>" />
	</p>
	<p>
		<label for="<?php echo $this->get_field_id( 'excerpt_more_separator' ); ?>"><?php _e( 'Excerpt more separator:', 'pretty-sidebar-categories' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'excerpt_more_separator' ); ?>" name="<?php echo $this->get_field_name( 'excerpt_more_separator' ); ?>" type="text" value="<?php echo $instance['excerpt_more_separator']; ?>" />
	</p>
	<p>
		<label for="<?php echo $this->get_field_id( 'excerpt_more' ); ?>"><?php _e( 'Excerpt more text:', 'pretty-sidebar-categories' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'excerpt_more' ); ?>" name="<?php echo $this->get_field_name( 'excerpt_more' ); ?>" type="text" value="<?php echo $instance['excerpt_more']; ?>" />
	</p>
	<p>
		<label for="<?php echo $this->get_field_id( 'link_excerpt_more' ); ?>"><?php _e( 'Link excerpt more text:', 'pretty-sidebar-categories' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'link_excerpt_more' ); ?>" name="<?php echo $this->get_field_name( 'link_excerpt_more' ); ?>" type="checkbox" value="1" <?php checked( $instance['link_excerpt_more'], 1 ); ?> />

     </p>
</div>
